/**********************************************************************
  sim CLOCK (Pseudo Clock device)
  $Id: dev_clock.h 77 2011-11-25 15:16:46Z tane $
**********************************************************************/

/*** Clock device ***/
#define CLOCK_READ_CMD        0x8000ff30
#define CLOCK_DATA            0x8000ff34

int dev_clock( unsigned int port , struct MACHINE_RESOURCE *mres ) ;
int dev_clock_init( struct MACHINE_RESOURCE *mres ) ;

/*********************************************************************
=================
  Clock device
=================
  時計デバイス

  time()で返される time_t フォーマットの時間を ビッグエンディアンで
  格納する。
*********************************************************************/
