/**********************************************************************
  disassemble フォーマット表示
  $Id: dis_print.c 77 2011-11-25 15:16:46Z tane $
**********************************************************************/
#include "common.h"
#include "ppcsim.h"
#include "processor.h"
#include "funcs.h"
#include "memory.h"
#include "op_exec.h"

void dis_print_rrd(int r1, int r2, int d)
{
    SYSMSG("\t%%r%d, %d(%%r%d)\n",r1,d,r2) ;
}  

void dis_print_rri(int r1, int r2, int i)
{
    SYSMSG("\t%%r%d, %%r%d, %d\n",r1,r2,i) ;
}  

void dis_print_crri(int cr, int r2, int i)
{
    SYSMSG("\t%%cr%d, %%r%d, %d\n",cr,r2,i) ;
}  

void dis_print_crrr(int cr, int r1, int r2)
{
    SYSMSG("\t%%cr%d, %%r%d, %%r%d\n",cr,r1,r2) ;
}  

void dis_print_rrddd(int r1, int r2, int d1, int d2, int d3)
{
    SYSMSG("\t%%r%d, %%r%d, %d, %d, %d\n",r1,r2,d1,d2,d3) ;
}  

void dis_print_r(int r1)
{
    SYSMSG("\t%%r%d\n",r1) ;
}  

void dis_print_rr(int r1, int r2)
{
    SYSMSG("\t%%r%d, %%r%d\n",r1,r2) ;
}  

void dis_print_rrr(int r1, int r2, int r3)
{
    SYSMSG("\t%%r%d, %%r%d, %%r%d\n",r1,r2,r3) ;
}  

void dis_print_fr(int r1)
{
    SYSMSG("\t%%fr%d\n",r1) ;
}  

void dis_print_frfr(int r1, int r2)
{
    SYSMSG("\t%%fr%d, %%fr%d\n",r1,r2) ;
}  

void dis_print_frfrfr(int r1, int r2, int r3)
{
    SYSMSG("\t%%fr%d, %%fr%d, %%fr%d\n",r1,r2,r3) ;
}  

void dis_print_frfrfrfr(int r1, int r2, int r3, int r4)
{
    SYSMSG("\t%%fr%d, %%fr%d, %%fr%d, %%fr%d\n",r1,r2,r3,r4) ;
}  

void dis_print_crbcrbcrb(int r1, int r2, int r3)
{
    SYSMSG("\t%%crb%d, %%crb%d, %%crb%d\n",r1,r2,r3) ;
}  

