/**********************************************************************
  awkライク トークン切り出し
    セパレート文字は ' ','\t','\n'

  $Id: get_token.c 79 2011-12-03 15:34:56Z tane $
**********************************************************************/
#include <stdlib.h>
#include <stdio.h> 
#include <string.h>
#include <strings.h> 
#include "get_token.h"

#define	SKIPPING	0
#define	STRGETTING	1

int get_token( char *line , struct TOKEN_STRUCT *token )
{
  int	num , i ;
  int	stat ;
  char *workp ;
  
  num = 0 ;
  stat = SKIPPING ;

  if( token->str!=NULL ){
    free( token->str ) ;
  }
  
  token->str=malloc( strlen(line)+1 ) ;
  if( token->str==NULL ){
    return( -1 ) ;
  }
  
  strcpy( token->str , line ) ;
  
  workp = token->str ;
  if( *workp == '#' ){	/*** 1カラム目が # の場合はコメント行 ***/
    token->num = 0 ;
    return( num ) ;
  }
  for( i=1 ; ; i++ ){ /*** # 以降を切り捨て ***/
    if( workp[i]=='\0' ) break ;
    if( workp[i]=='#' && workp[i-1]!='\\' ){
      workp[i]='\0' ;
      break ;
    }
  }
  
  for( i=0 ; i<TokenBufsize ; i++ ){
    token->pt[i] = NULL ;
  }
  while( *workp != '\0' ){
    switch( *workp ){
    case ' '  :
    case '\t' :
      if( stat == SKIPPING ) ;
      else stat = SKIPPING ;
      *workp++ = '\0' ;
      line++ ;
      break ;
      
    case '\n' :
    case '\r' :
      *workp = '\0' ;
      *line  = '\0' ;
      break ;
      
    default :
      if( stat == SKIPPING ){
	token->pt[num] = workp ;
	workp++ ;
	line++ ;
	num++ ;
	if( num==TokenBufsize ){
	  goto loopexit ;
	}
	stat = STRGETTING ;
	break ;
      }else{
	workp++ ;
	line++ ;
      }
    }
  }
 loopexit:
  token->num = num ;
  return( num ) ;
}
