/**********************************************************************
  メモリダンプ
  $Id: print_mems.c 77 2011-11-25 15:16:46Z tane $
**********************************************************************/
#include "common.h"
#include "ppcsim.h"
#include "processor.h"
#include "funcs.h"
#include "memory.h"


int	print_mems( struct MACHINE_RESOURCE *mres, int start_adrs , int leng )
{
int i,j ;
static char disp_str[16+2] ;
int dump_mem_adrs ;
int dump_length ;
unsigned char mem ;

 dump_mem_adrs=start_adrs ;
 dump_length=leng ;
 
 disp_str[16]='\0' ;
 disp_str[17]='\0' ;

 set_sighandl_ppcsim() ;
 for( j=0 ; j<(dump_length/16) ; j++ ){
   if( sig_int != 0 ) break ;
   SYSMSG("%08x :",dump_mem_adrs) ;
   for( i=0 ; i<16 ; i++ ){
     if( mres->mem[seg(dump_mem_adrs+i)]==NULL ||
	 mres->mem_size[seg(dump_mem_adrs+i)] <= lad(dump_mem_adrs+i) ){
       disp_str[i]='X' ;
       SYSMSG(" XX") ;
       continue ;
     }
     mem=mres->mem[seg(dump_mem_adrs+i)][lad(dump_mem_adrs+i)] ;
     if( (isgraph( mem )!=0) ||
	 (mem==' ') ){
       disp_str[i]=mem ;
     }else{
       disp_str[i]='.' ;
     }
     SYSMSG(" %02X",mem ) ;
   }
   SYSMSG(" %s",disp_str) ;
   SYSMSG("\n") ;
   dump_mem_adrs+=16 ;
 }
 
 return(NORMAL_EXIT) ;
}
