/**********************************************************************
  簡易IOデバイス
  $Id: sim_io.h 77 2011-11-25 15:16:46Z tane $
**********************************************************************/
struct sim_device{
  int (*func)() ;
  int (*inifunc)() ;
  unsigned int ad_top ;
  unsigned int ad_bot ;
} ;

#define MAX_DEV_NUM 15

struct sim_device_list{
  int               num ;
  struct sim_device dev[MAX_DEV_NUM] ;
} ;

struct sim_device_list dev_list ;

#include "dev_pic.h"
#include "dev_floppy.h"
#include "dev_clock.h"
#include "dev_disk.h"
#include "dev_vram.h"
#include "dev_console.h"
#include "dev_serial.h"
