/**********************************************************************
  long long int printf
  $Id: printll.c 77 2011-11-25 15:16:46Z tane $
**********************************************************************/
#include "common.h"
#include "ppcsim.h"
#include "processor.h"
#include "funcs.h"
#include "memory.h"

#define BUFLEN 128

int printll(FILE *fp, long long int val, int len)
{
  int i,j ;
  unsigned char str[BUFLEN] ;

  for( i=0 ; i<BUFLEN ; i++ ){
    str[i]= '0' + (val%10) ;
    val /= 10 ;
    if( val==0 ) break ;
  }
  for( j=0 ; j<=len-i ; j++ ){
    fputc(' ',fp ) ;
  }
  for( j=i ; j>-1 ; j-- ){
    fputc(str[j],fp) ;
  }
  return(0) ;
}
      
int printllh(FILE *fp, long long int val, int len)
{
  int i,j ;
  unsigned char str[BUFLEN] ;

  for( i=0 ; i<BUFLEN ; i++ ){
    if( val%16<10 ){
      str[i]= '0' + (val%16) ;
    }else{
      str[i]= 'a' + (val%16)-10 ;
    }
    val /= 16 ;
    if( val==0 ) break ;
  }
  for( j=0 ; j<=len-i ; j++ ){
    fputc(' ',fp ) ;
  }
  for( j=i ; j>-1 ; j-- ){
    fputc(str[j],fp) ;
  }
  return(0) ;
}


