/**********************************************************************
  実行ファイルのロード
  $Id: sim_eload.c 77 2011-11-25 15:16:46Z tane $
**********************************************************************/
#include "common.h"
#include "ppcsim.h"
#include "processor.h"
#include "funcs.h"
#include "memory.h"

int	sim_eload( struct MACHINE_RESOURCE *mres , char *fname )
{
FILE   *fp;

 if( ( fp = fopen( fname , "rb" )) == NULL ){
   SYSMSG(simmsgfp,"ファイル %s がオープンできません\n",fname) ;
   return(FILE_OPEN_ERROR) ;
 }
 fread( &mres->mem[0] , mres->mem_size , 1, fp ) ;
 fclose( fp ) ;
 mres->mem[0]=0 ;
 mres->mem[1]=0 ;
 mres->mem[2]=0 ;
 mres->mem[3]=0 ;
 return( NORMAL_EXIT ) ;
}
